Subject: Re: bug#19889: bug#22207: emacs-25 mishandles info code text on Fedora 23

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 May 2016 10:01:30 +0300

> From: Paul Eggert <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 6 May 2016 20:03:09 -0700
> 
> I looked for a good source about this issue, and found someone who took a
> circa-2012 census of Courier-like fonts on various web browsers and who
> evaluated their looks when combined with non-Courier fonts. He writes that on
> GNU/Linux platforms, the most common Courier fonts were Nimbus Mono L (98.2%)
> and FreeMono (85.2%) but these fonts are a bit faint to be mixing with other
> fonts, and that Courier 10 Pitch (85.0%) was a better choice. On OS X, he writes
> that Courier Std (2.1%), Consolas (48.6%), and Courier (99.5%) are all good
> choices, whereas Courier New (96.8%) is a bit faint. On MS-Windows, he says
> Consolas (88.6%) and Courier (3.6%) are good choices, whereas FreeMono (0.6%)
> and Courier New (99.8%) are a bit faint. As a result of all this, he suggests
> the following order for Web use: "Courier 10 Pitch", "Courier Std", Consolas,
> Courier, "TeX Gyre Cursor", TeXGyreCursor, "Nimbus Mono L", FreeMono,
> "Courier New", monospace. See
> <http://www.grputland.com/2012/08/font-stacks-that-look-similar-in.html#cour20120806>.
> 
> I doubt whether GNU Emacs should be defaulting to the non-free fonts in that
> list(e.g., Consolas), given that the free fonts are so widely available.Courier
> New is often disliked (it was digitized directly from the IBM Selectric golfball
> which was at odds with how the Selectric actually worked). I don't know about
> TeX Gyre Cursor, but it doesn't seem to be common on Fedora and Ubuntu anyway.
> The other Courier-like fonts are close to the list I already proposed.

Courier New is the default font on MS-Windows, so selecting it means
we will have a face that is indistinguishable from the default: not
good.

Consolas comes with latest Windows versions out of the box, so I don't
think there's a problem in having it on the list (we could do that
only on Windows, if we don't want to recommend it on GNU/Linux).

I don't understand what "monospace" means in that list.  There's no
such font, AFAIK, and all the other fonts are monospaced already, so
what's behind that "monospace"? any other monospaced font?

Other than that, how about using the outcome of that census, and
request specific fonts it mentions, ordered by their quality, as the
census recommends?  I think this will yield better results than
relying on family matches.